﻿using AppStylingSample.Properties;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AppStylingSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			var appStyle = (AppStyle)Enum.Parse(typeof(AppStyle), Settings.Default.AppStyle);
			var tool = ultraToolbarsManager1.Tools[appStyle.ToString()] as StateButtonTool;
			tool.Checked = true;
		}

		private void ultraToolbarsManager1_ToolClick(object sender, ToolClickEventArgs e)
		{
			switch (e.Tool.Key)
			{
				case "Office2007Blue":
				case "Office2007Black":
				case "Office2007Silver":
				{
					var appStyle = (AppStyle)Enum.Parse(typeof(AppStyle), e.Tool.Key);
					Settings.Default.AppStyle = appStyle.ToString();
					Program.SetAppStyle(appStyle);
				}
				break;
			}
		}

		private void Form1_FormClosing(object sender, FormClosingEventArgs e)
		{
			Settings.Default.Save();
		}
	}
}
